# Cities Skylines 2 : Renter And LandValue Policy

#### This mod solves the problems of "HighRent" and "NoCustomer" and controls LandValue through district and policies.

## Description

#### In the vanilla system, LandValue is constantly increasing, while wages and company profits are not. As a result, there is a problem with HighRent and NoCustomer over time, but there is no solution to this problem.  Also, Renters can own a lot of property but not pay rent unless they have a certain level of income.I think this is a bit of a mistake with the vanilla system. So I created this mod to solve these problems.
#### I try to respect and maintain the vanilla system.


## Updated

## Features
### 1. HighRent Issues (Global)
- If renters can no longer pay their rent, they're automatically evicted.
- Existing buildings are not destroyed and remain in place.
- Evicted renters need some time before they can move, relocate, or take on new behaviors.
- When new renters comes in, HighRent issue is resolved.

### 2. NoCustomer Issues (Global)
- Companies that are no longer profitable and have customer issues automatically disappear.
- After some time, new companies will automatically come in.

### 3. LandValue Adjustment Policy (District)
-  Existing policies include the ability to adjust LandValue.
- Roadside Parking Ree : LandValue Decrease(--)
- Speed Bumps : LandValue Decrease(--)
- Energy Consumption Awareness : LandValue Decrease(--)
- Gated Community : LandValue Increase(+)
- Recycling : LandValue Increase(+)
- Other policies are not included.
- Policies are applied in duplicate.

### 4.  Change LandValue update interval
- Original 16 -> Change 256
- It takes a lot of time for LandValue to take effect.
- You can see if it's actually changing in LandValue UI or in the LandValue Debug System in Developer Mode.


### 5. Others
- The change in new LandValue System is related to a number of factors, including the size of the land and its value.
- Once LandValues reach a certain level, it may seem like they can't go down anymore.


## Cautions
- This mod requires time to take effect.
- This mod affects LandValue.
- In Beta, it's possible that the balance is not quite right.


## Support
- Because I don't speak and write English, aided by translator when write this article.
- My mod is basically using the original functions so that I don't want to destroy the saved file
- Please use Discord for inquiries about mods, corrections, and bug reports.
- Discord : https://discord.gg/wNAyF78XBp

## Compatibility
- This mod uses 'LandValueSystem'

## Requirements
-  Game 1.0.18f1
-  BepInEx 5.4.21.0